### Hierarchy

- AbstractMasterPage
  - MasterPage

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- addItem
- items
- navParams
- ngRedux
- path
- pushDetail
- schema
- uischema

### Methods

- ngOnInit
- onClick
- onItemSelected

## Constructors

### constructor

- new MasterPage(navParams: NavParams, ngRedux: NgRedux<JsonFormsState>): MasterPage

- - Defined in ionic/src/other/list-with-detail/pages/master/master.ts:65

  #### Parameters

  - ##### navParams: NavParams

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns MasterPage

## Properties

### addItem

addItem: function

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:64

#### Type declaration

- - (path: string, value: any): function

  - #### Parameters

    - ##### path: string

    - ##### value: any

    #### Returns function

    - - (): void

      - #### Returns void

### items

items: MasterItem

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:60

### navParams

navParams: NavParams

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:68

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:69

### path

path: string

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:63

### pushDetail

pushDetail: function

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:65

#### Type declaration

- - (params: any): void

  - #### Parameters

    - ##### params: any

    #### Returns void

### schema

schema: JsonSchema

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:62

### uischema

uischema: ControlElement

- Defined in ionic/src/other/list-with-detail/pages/master/master.ts:61

## Methods

### ngOnInit

- ngOnInit(): void

- - Defined in ionic/src/other/list-with-detail/pages/master/master.ts:79

  #### Returns void

### onClick

- onClick(): void

- - Defined in ionic/src/other/list-with-detail/pages/master/master.ts:88

  #### Returns void

### onItemSelected

- onItemSelected(item: any): void

- - Defined in ionic/src/other/list-with-detail/pages/master/master.ts:84

  #### Parameters

  - ##### item: any

  #### Returns void

Generated using TypeDoc